=== debian/control ===
Source: gnustep-examples
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
	   Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 7),
	       dpkg-dev (>= 1.16.1~),
	       libgnustep-gui-dev,
	       imagemagick
Standards-Version: 3.9.3
Homepage: http://www.gnustep.org/experience/examples.html
Vcs-Git: git://git.debian.org/pkg-gnustep/gnustep-examples.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/gnustep-examples.git

Package: gnustep-examples
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Description: GNUstep example applications
 A collection of examples for the GNUstep libraries.  Some of them are
 useful applications on their own, others are intended only for
 testing purposes.
