=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk
include /usr/share/GNUstep/debian/config.mk

export GNUSTEP_MAKEFILES := $(GS_MAKE_DIR)

d_app := $(CURDIR)/debian/gnustep-examples
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optim := debug=yes
endif

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) $(optim) messages=yes CPPFLAGS="$(CPPFLAGS)" \
	  OBJCFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	convert gui/Calculator/Calculator.app.tiff -resize 32x32 Calculator.xpm
	convert gui/Ink/Ink_app.tiff -resize 32x32 Ink.xpm

	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) distclean
	dh_clean build-stamp Calculator.xpm Ink.xpm

install: build
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) install DESTDIR=$(d_app) GNUSTEP_INSTALLATION_DOMAIN=SYSTEM
# Delete invalid .desktop files and install ours.
	find $(d_app) -name \*.desktop -delete
	dh_install debian/Calculator.desktop debian/Ink.desktop \
	  usr/share/applications
# Install the XPM icons.
	dh_install Calculator.xpm Ink.xpm usr/share/pixmaps

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs gui/ChangeLog
	dh_installdocs
	dh_installmenu
	dh_installman debian/gnustep-examples.1
# Create symlinks for the manpage.  Deliberately do not derive the
# programs' list from /usr/bin -- if an app is added upstream; the
# manpage has to be updated.
	for p in Calculator CurrencyConverter GSTest Ink md5Digest \
	    NSBrowserTest NSImageTest NSPanelTest NSScreenTest; do \
	  dh_link usr/share/man/man1/gnustep-examples.1 \
	  usr/share/man/man1/$$p.1; \
	done
# Move arch-independent Resources to /usr/share.
	gsdh_gnustep
	dh_installdirs usr/share/GNUstep
# As aobve, deliberately hardcode the apps to notice the appearance of
# an offending one (lintian will emit a warning image-file-in-usr-lib).
	for p in Calculator Ink NSPanelTest; do \
	  mv $(d_app)$(GNUSTEP_SYSTEM_APPS)/$$p.app/Resources \
	    $(d_app)/usr/share/GNUstep/$$p.app \
	  && dh_link usr/share/GNUstep/$$p.app \
	    $(GNUSTEP_SYSTEM_APPS)/$$p.app/Resources; \
	done
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
