=== debian/watch ===
version=3
opts=pasv ftp://ftp.gnustep.org/pub/gnustep/core/gnustep-examples-(.*)\.tar\.gz
