## gnustep-examples 1.4.0

=== debian/changelog ===
gnustep-examples (1:1.4.0-3build3) mantic; urgency=medium

  * Rebuild against libgnustep-base1.29.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 18 Jun 2023 11:47:09 +0200

gnustep-examples (1:1.4.0-3build2) jammy; urgency=medium

  * No-change rebuild against libgnustep-base1.28

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Jan 2022 12:00:12 +0000

gnustep-examples (1:1.4.0-3build1) groovy; urgency=medium

  * Rebuild against new gnustep 1.27.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 17 Jun 2020 13:40:47 +0200

gnustep-examples (1:1.4.0-3) unstable; urgency=medium

  * Bump standards version to 4.5.0.
  * Update Vcs fields.
  * debian/menu: dropped.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 13 Feb 2020 13:36:22 +0100

gnustep-examples (1:1.4.0-2) unstable; urgency=medium

  * Update my name.
  * Bump debhelper version to 11.
  * Bump standards version to 4.1.3.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 09 Feb 2018 20:09:15 +0100

gnustep-examples (1:1.4.0-1) unstable; urgency=medium

  * New upstream release:
    - Compatible with gnustep-gui/0.24 (Closes: #749747).
  * debian/watch: Update to look at usr-apps as well.  Use
    pgpsigurlmangle.
  * debian/compat: Set to 9.
  * debian/control (Build-Depends): Require libgnustep-gui-dev (>= 0.24)
    and debhelper (>= 9).  Drop dpkg-dev.
    (Vcs-Git): Use the canonical URI.
    (Standards-Version): Compliant with 3.9.6 as of this release.
  * debian/patches/typo-fix.patch: New.
  * debian/patches/series: Update.
  * debian/preinst:
  * debian/README.source: Delete.
  * debian/rules: Rewrite for modern dh.
  * debian/upstream/signing-key.pgp:
  * debian/source/include-binaries:
  * debian/install: New file.
  * debian/Calculator.desktop:
  * debian/Ink.Desktop: Add Keywords field.
  * debian/copyright: Switch to format 1.0, add more copyright
    holders/licenses.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 21 Oct 2014 14:03:35 +0300
