=== debian/control ===
Source: gnustep-examples
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>,
	   Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 11),
	       libgnustep-gui-dev (>= 0.24),
	       imagemagick
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-examples.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-examples
Homepage: http://www.gnustep.org/experience/examples.html

Package: gnustep-examples
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Description: GNUstep example applications
 A collection of examples for the GNUstep libraries.  Some of them are
 useful applications on their own, others are intended only for
 testing purposes.
