## gnustep-examples 1.4.0+git20210703

=== debian/changelog ===
gnustep-examples (1:1.4.0+git20210703-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldoldstable):
    + Build-Depends: Drop versioned constraint on libgnustep-gui-dev.

  [ Yavor Doganov ]
  * New upstream snapshot.
  * Run wrap-and-sort -ast.
  * debian/patches/typo-fix.patch: Remove; fixed upstream.
  * debian/patches/sensible-browser.patch: Refresh; add DEP-3 headers.
  * debian/patches/install-more.patch: New; build and install Finger,
    GFractal, HostAddress and MyGL (Closes: #862386).
  * debian/patches/service-ignore-SIGCHLD.patch: New; ignore SIGCHLD to
    avoid being killed by its own signal handler (Closes: #1102501).
  * debian/patches/find-correct-bundles.patch: New; find and load only
    GSTest's bundles (Closes: #1076701).
  * debian/rules: Enable hardening.
    (DEB_LDFLAGS_MAINT_APPEND): Remove -Wl,--as-needed.
    (optim): Remove definition; it's in config.mk.
    (override_dh_auto_build): Use dh_auto_build and $(verbose).  Do not
    create XPM icons; they were needed for the obsolete menu files.
    (override_dh_clean): Remove override.
    (override_dh_installman): Create symlinks for all installed apps.
    (override_dh_link): Create PNG icons for the .desktop files.
    Pass --bug-script to dh_gnustep.  Convert NSPanelTest's translation to
    UTF-8 to fix lintian W: national-encoding.  Move Resources for
    CurrencyConverter, Finger, md5Digest, NSBrowserTest and PowerPaint as
    they contain icons and lintian is not happy.
  * debian/control (Build-Depends): Add gnustep-make (>= 2.9.2-2) for
    dh_gnustep's --bug-script option.  Add libglu1-mesa-dev for MyGL.
    Add dpkg-build-api (= 1).
    (Depends): Remove ${gnustep:Depends} (obsolete); add sensible-utils.
    (Standards-Version): Claim compliance with 4.7.2; no changes needed.
  * debian/install: Don't install XPM files.
  * debian/Calculator.desktop (Icon): Use the PNG icon.
  * debian/Ink.desktop (Icon): Likewise.
  * debian/gnustep-examples.1: Rename as...
  * debian/gnustep-examples.7: ...to fix a lintian complaint.  Add
    basic information about the new apps.
  * debian/maintscript: New file; do the dir_to_symlink dance for
    CurrencyConverter, md5Digest and NSBrowserTest.
  * debian/Finger.desktop: New file; this app is useful as it is.
  * debian/CurrencyConverter.desktop: Likewise.
  * debian/PowerPaint.desktop: Likewise.
  * debian/upstream/signing-key.pgp: Replace with...
  * debian/upstream/signing-key.asc: ... (minimized).
  * debian/source/include-binaries: Delete.
  * debian/upstream/metadata: New file.
  * debian/watch: Upgrade to version 4; use HTTPS and remove pasv option.
  * debian/changelog: Remove trailing whitespace.
  * debian/copyright: Use HTTPS for the Format field.  Replace old FSF
    address with the canonical URL.  Add new stanza for the manpage
    (FSFAP).  Add Upstream-Contact.  Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 11 Apr 2025 01:11:56 +0300

gnustep-examples (1:1.4.0-4) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * Bump debhelper version to 13, drop d/compat.

 -- Alex Myczko <tar@debian.org>  Wed, 10 Jul 2024 20:26:43 +0000
