=== debian/control ===
Source: gnustep-examples
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Alex Myczko <tar@debian.org>,
 Yavor Doganov <yavor@gnu.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpkg-build-api (= 1),
 gnustep-make (>= 2.9.2-2),
 imagemagick,
 libglu1-mesa-dev,
 libgnustep-gui-dev,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-examples.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-examples
Homepage: http://www.gnustep.org/experience/examples.html

Package: gnustep-examples
Architecture: any
Depends:
 sensible-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Description: GNUstep example applications
 A collection of examples for the GNUstep libraries.  Some of them are
 useful applications on their own, others are intended only for
 testing purposes.
