=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://ftp.gnustep.org/pub/gnustep/(core|usr-apps)/gnustep-examples-(.*)\.tar\.gz
